/*-
 * Copyright (c) 1993 Michael B. Durian.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Michael B. Durian.
 * 4. The name of the the Author may be used to endorse or promote 
 *    products derived from this software without specific prior written 
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
/*
 * tkm.h,v 1.2 1993/04/04 22:02:27 durian Exp
 */
#ifndef TKM_H
#define TKM_H
extern int Tk_DrumGridCmd _ANSI_ARGS_((ClientData, Tcl_Interp *, int, char **));

#define BLACK		"Black"
#define WHITE		"White"
#define GRAY		"#b0b0b0"

#define BISQUE1		"#ffe4c4"
#define BISQUE2		"#eed5b7"
#define BISQUE3		"#cdb79e"

#define LIGHTBLUE2	"#b2dfee"

#define LIGHTPINK1	"#ffaeb9"

#define MAROON		"#b03060"

#define DEF_GRID_FG_COLOR		BLACK
#define DEF_GRID_FG_MONO		WHITE
#define DEF_GRID_NORMAL_BG_COLOR	BISQUE1
#define DEF_GRID_NORMAL_BG_MONO		BLACK
#define DEF_GRID_LINE_COLOR		BISQUE3
#define DEF_GRID_MEASURE_COLOR		"red"
#define DEF_GRID_BEAT_COLOR		"blue"
#define DEF_GRID_BORDER_WIDTH		"2"
#define DEF_GRID_CURSOR			((char *)NULL)
#define DEF_GRID_FONT			"*-Helvetica-Bold-R-Normal-*-120-*"
#define DEF_GRID_HEIGHT			"0"
#define DEF_GRID_WIDTH			"0"
#define DEF_GRID_RELIEF			"flat"
#define DEF_GRID_LABELS			"Kick Snare {High Hat Open} {High Hat \
Closed} Crash Ride {High Tom} {Middle Tom} {Low Tom}"
#define DEF_GRID_PITCHES		"35 38 46 42 49 51 48 45 41"
#define DEF_GRID_LEVELS			"8"
#define DEF_GRID_BEATS			"4"
#define DEF_GRID_MEASURES		"2"
#define DEF_GRID_QUANTIZATION		"16"
#define DEF_GRID_LINETHICKNESS		"2"
#define DEF_GRID_PADX			"2"
#define DEF_GRID_BOXWIDTH		"20"
#define DEF_GRID_BOXHEIGHT		"20"
#define DEF_GRID_SCROLL_COMMAND		((char *)NULL)

#endif
